Subject: Trainer Candidate - Siddharth Saha
From: Siddharth Saha <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 1 Feb 2021 11:09:39 -0500

| | Tech Support Test

Name | Siddharth Saha
E-mail | [email-masked]
Phone Number | (91) 9910345554
Do you have your own transportation (2 or 4 wheeler) or are you able to commute to office without using Metro? Our office is located in Noida Sector 2, near Noida - Sector 15 Metro Station | I have my own 2/4 wheeler transport
Where do you currently live (area) | Noida Sector 41

Please give us details of your last 3 employments including current. If you've not worked in 3 companies, please enter NA

| Name of Company | Designation | Last working day | Monthly Salary (inhand)
Current Employer | | | |
Previous Employer 1 | Saburi TLC | Trainer | Jan 2020 | 62000
Previous Employer 2 | Dell | Trainer | Feb 2014 | 49000

If Selected, how much time do you need to join? | Immediate

Please briefly describe your work experience specifically in training?

My overall experience as a trainer has been for more than 10 years. At Saburi TLC I was responsible for -
1. Hiring, On-boarding and training new hire batches.
2. Develop and deliver modules as per the process requirements.
3. Batch performance and score card.
4. Meet OPS leads and understand OPS challenges.
5. Conduct vitality trainings for any new product / updates.
6. Review batch performance and conduct weekly dip stick.
7. Connect with clients to meet and plan goals.
8. Training Need analysis for the floor for improvement.
9. Conduct T'3 for new trainers.
10. Publish weekly performance dashboards for OPS.
11. Develop and update training blue book and ensure compliance.

Have you worked as a trainer in a Call Center/Customer Service/BPO Environment? | Yes

Please tell us below in 300 - 500 words about the most difficult situation you faced either while training or managing a team.

I can recall of numerous challenging situations. However, the most challenging one was to handle 2 new hire batches at the same time and deliver them to OPS, within the timeline without extension.

This was an urgent ask by OPS due to sudden spike in absconding cases. Hence both the batches were not planned and neither in the pipeline. My counterpart was on a 2 days planned leave and I was the only trainer available.

OPS was very keen in my plan and the way I would be handling the batches as this was a fast track batch. I shared my 2 days training plan with OPS and they were astounded to learn that I would do 2 consecutive shifts.

I was geared up with my planner and knew that I cannot stumble with the batch curriculum.

For the next day I was rostered for morning shift to handle the morning batch and stretch till next day to ensure that the evening batch is covered as well.

Both the batches were onboarded and handed over on the same day.

Day 1 was a breeze as we had ice-breaking and general introduction sessions. Few activities and the day was well spent. For day 2 I had to split both the batches as the content for both the batches were different. One batch was roster for morning shift and the other one for evening.

Morning batch was with 100% attendance and Day 1 curriculum completed as per the planner.

By evening I looked fatigued and had 2 hours for the evening batch.

I will be honest here. I rushed to the sick room and took a power nap.

Power nap was a life saver and I was now prepared for the evening batch.

During training, I received a dip stick request by OPS. I knew they had to ensure and it was important that the batch should be on track as per the planner. They were surprised by the positive feedback and I received accolades by the leadership team,

My efforts were appreciated by all my colleagues and I was offered a day off after the batch graduates to OPS.

What according to you is the difference between good and great customer service. (Explain in 4 - 6 sentences)

Good customer service is about promoting the organization, meeting the expectation, service quality, response time and listening to the customer.
Excellent customer service includes the above as well as exceeding customer expectation, building relationship and follow up with customers for positive and negative feedback.

What according to you makes you a good candidate for this position? | With over 10 years of experience as a trainer, I have not only handled training batches, but also supported OPS in managing teams in absence of team manager. Have an average training yield of over 93%. Awarded as the best trainer in the segment.  Have helped clients with product testing and process launch.
On a scale of 1 - 5 please rate your fluency in spoken English | 5

| |